org.eclipse.rdf4j.repository.dataset.config

## Class DatasetRepositoryFactory

- java.lang.Object
- - org.eclipse.rdf4j.repository.dataset.config.DatasetRepositoryFactory

- All Implemented Interfaces:
    RepositoryFactory

      public class DatasetRepositoryFactory
      extends Object
      implements RepositoryFactory

  A `RepositoryFactory` that creates `DatasetRepository`s based on RDF configuration data.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REPOSITORY_TYPE` The type of repositories that are created by this factory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatasetRepositoryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryImplConfig` | `getConfig()`
    `Repository` | `getRepository(RepositoryImplConfig config)` Returns a Repository instance that has been initialized using the supplied configuration data.
    `String` | `getRepositoryType()` Returns the repository's type: `openrdf:DatasetRepository`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      The type of repositories that are created by this factory.
      See Also:
        `RepositoryFactory.getRepositoryType()`, Constant Field Values

  - ### Constructor Detail

    - #### DatasetRepositoryFactory

          public DatasetRepositoryFactory()

  - ### Method Detail

    - #### getRepositoryType

          public String getRepositoryType()

      Returns the repository's type: `openrdf:DatasetRepository`.
      Specified by:
        `getRepositoryType` in interface `RepositoryFactory`

    - #### getConfig

          public RepositoryImplConfig getConfig()

      Specified by:
        `getConfig` in interface `RepositoryFactory`

    - #### getRepository

          public Repository getRepository(RepositoryImplConfig config)
                                   throws RepositoryConfigException

      Description copied from interface: `RepositoryFactory`
      Returns a Repository instance that has been initialized using the supplied configuration data.
      Specified by:
        `getRepository` in interface `RepositoryFactory`
      Parameters:
        `config` - TODO
      Returns:
        The created (but un-initialized) repository.
      Throws:
        `RepositoryConfigException` - If no repository could be created due to invalid or incomplete configuration data.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.